Bug 184345 - [PATCH] graphics/nip2: multiple fixes and bugs
Summary: [PATCH] graphics/nip2: multiple fixes and bugs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mikhail Teterin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-28 04:40 UTC by Dmitry Marakasov
Modified: 2014-06-15 14:04 UTC (History)
2 users (show)

See Also:


Attachments
nip2-7.26.3_2.patch (1.58 KB, patch)
2013-11-28 04:40 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2013-11-28 04:40:00 UTC
- Fix build on 10.x
- Fix build with recent graphviz
- Remove useless REINPLACE

The port also has leftovers when build with DOCS disabled (NOPORTDOCS):

---
=== Checking filesystem state after all packages deleted
================================================================
list of extra files and directories in / (not present on clean system but present after everything was deinstalled)
3052660        8 drwxr-xr-x    3 root             wheel                 512 Nov 28 01:56 usr/local/share/doc/nip2
3052661        8 drwxr-xr-x    2 root             wheel                 512 Nov 28 01:56 usr/local/share/doc/nip2/pdf
3052662     3072 -rw-r--r--    1 root             wheel             1517694 Nov 28 01:56 usr/local/share/doc/nip2/pdf/nipguide.pdf
================================================================
---

Port maintainer (mi@aldan.algebra.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_11 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2013-11-28 04:40:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mi

mi@aldan.algebra.com => mi@ (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-11-28 04:40:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2013-11-28 04:40:16 UTC
Maintainer of graphics/nip2,

Please note that PR ports/184345 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184345

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 dfilter service freebsd_committer 2013-12-10 01:26:20 UTC
Author: amdmi3
Date: Tue Dec 10 01:26:12 2013
New Revision: 336038
URL: http://svnweb.freebsd.org/changeset/ports/336038

Log:
  - Fix build on 10.x and with recent graphviz
  - Remove useless REINPLACE_CMD
  
  PR:		184345
  Submitted by:	amdmi3
  Approved by:	maintainer timeout

Added:
  head/graphics/nip2/files/
  head/graphics/nip2/files/extra-patch-src-parser.h   (contents, props changed)
  head/graphics/nip2/files/patch-src-graphwindow.c   (contents, props changed)
Modified:
  head/graphics/nip2/Makefile

Modified: head/graphics/nip2/Makefile
==============================================================================
--- head/graphics/nip2/Makefile	Tue Dec 10 01:25:12 2013	(r336037)
+++ head/graphics/nip2/Makefile	Tue Dec 10 01:26:12 2013	(r336038)
@@ -32,8 +32,13 @@ MAKE_ENV+=	UPDATE_MIME_DATABASE=update-m
 
 MAN1=		nip2.1
 
+.include <bsd.port.options.mk>
+
+.if ${OSVERSION} >= 1000013
+EXTRA_PATCHES+=	${FILESDIR}/extra-patch-src-parser.h
+.endif
+
 post-patch:
-	${REINPLACE_CMD} -e 's, malkovich,,' ${WRKSRC}/configure
 	@${REINPLACE_CMD} -e 's|n_bytes|x_n_bytes|g' -e 's|text_size|x_text_size|g' \
 		${WRKSRC}/src/gtkitementry.c
 

Added: head/graphics/nip2/files/extra-patch-src-parser.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/nip2/files/extra-patch-src-parser.h	Tue Dec 10 01:26:12 2013	(r336038)
@@ -0,0 +1,11 @@
+--- src/parser.h.orig	2011-01-25 19:44:07.000000000 +0300
++++ src/parser.h	2013-11-28 04:22:09.853554221 +0400
+@@ -54,7 +54,7 @@
+  */
+ void yyerror( const char *sub, ... )
+ 	__attribute__((format(printf, 1, 2)));
+-extern int yyleng;			/* lex stuff */
++extern size_t yyleng;			/* lex stuff */
+ 
+ /* Lex gathers tokens here for workspace.c
+  */

Added: head/graphics/nip2/files/patch-src-graphwindow.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/nip2/files/patch-src-graphwindow.c	Tue Dec 10 01:26:12 2013	(r336038)
@@ -0,0 +1,11 @@
+--- src/graphwindow.c.orig	2011-01-25 19:44:07.000000000 +0300
++++ src/graphwindow.c	2013-11-28 03:48:15.996694984 +0400
+@@ -260,7 +260,7 @@
+ 
+ 	IM_FREEF( agclose, graphwindow->graph );
+ 
+-	graphwindow->graph = agread( of->fp );
++	graphwindow->graph = agread( of->fp, NULL );
+ 
+ 	ifile_close( of );
+ 	unlinkf( "%s", tname );
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 John Marino freebsd_committer 2014-06-15 14:04:35 UTC
fixed by amdmi3